# Transparent Background

Via [InitData](/rubens/rubens-sdk/rubens-sdk-reference/interfaces/common_core_src_utils_shims.initdatadefinition.md), you can remove the background of the scene completely allowing the embedding iframe to be transparent and elements behind it to be visible through the scene. [Example (opens new window)](https://roomle-dev.github.io/transparency?transparentBackground=true\&moc=true\&edit=true\&id=86qux3bxbgv615qxzby3k2q4a4oni7o\&customApiUrl=https://api.roomle.com/v2).

Embedding example:

```
const configurator = await RoomleConfiguratorApi.create(
  "demoConfigurator",
  document.getElementById("configurator-container"),
  {
    id: '...',
    moc: true,
    transparentBackground: true,
  }
);
```

Query Parameter

`&transparentBackground=true`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roomle.com/rubens/rubens-sdk/rubens-planner-room-designer/scene-customisation/transparent-background.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
